CREATE TABLE "BMAGGFXF"."LN_AGGREGATE"
(
   TRSNRNM varchar(40),
   AL varchar(1),
   EXTKEYADDRESS varchar(30) NOT NULL,
   TRSTYPENM varchar(10),
   MOTIVENM varchar(10),
   CAPITALDURATIONFRM date NOT NULL,
   CAPITALDURATIONTO date NOT NULL,
   ORGANISATIONUNITNM varchar(12),
   DEALERNM varchar(35),
   BANKSEGMENTNM varchar(20),
   EXTPRODUCTNM varchar(8) NOT NULL,
   COSTCENTERNM varchar(8),
   EXTKEYCURRENCYNM varchar(20),
   PORTFOLIONM_PP varchar(30),
   PORTFOLIONM_IMP varchar(30),
   ACCOUNTINGCATEGORYNM varchar(30),
   OVERDUEAMOUNT decimal(23,3)
)
;
CREATE INDEX LN_LN_IDX5 ON "BMAGGFXF"."LN_AGGREGATE"(
	TRSNRNM
)
;

CREATE TABLE BMAGGFXF.LN_AGGREGATE_CF
(
   TRS_NR_NM varchar(40),
   DELIVERY_BASE_NM varchar(10),
   CASH_FLOW_NUMBER varchar(40),
   AL varchar(1),
   VALUTA date,
   IMPORT_CF_BASE_TYPE_NM varchar(12),
   IMPORT_CF_TYPE_NM varchar(20),
   PAYMENT_IN_OUT varchar(1),
   EXT_KEY_CURRENCY_NM varchar(20),
   AMOUNT decimal(23),
   CF_DURATION_FRM date,
   CF_DURATION_TO date,
   INTEREST_METHOD decimal(2),
   CALENDAR_TYPE_NM varchar(12),
   PAY_AGREEMENT_NM varchar(12),
   SALES_TYPE_NM varchar(10),
   PERIOD_CAPITAL decimal(23)
)
;
CREATE INDEX LN_AGGREGATE_CF_IDX1 ON BMAGGFXF.LN_AGGREGATE_CF
(
  TRS_NR_NM,
  CASH_FLOW_NUMBER
)
;

CREATE TABLE BMAGGFXF.LN_AGGREGATE_PENALTY_INTEREST (
	TRSNRNM varchar(40),
	VALUTA date,
	AMOUNT decimal(23)
);
