------------------------------------------------------------------------------------------------------------------------
-- CONFIGURATION
------------------------------------------------------------------------------------------------------------------------

-- DELETE CALENDAR
delete from cfe.calendar where id_calendar = ?;

-- INSERT CALENDAR
insert into	cfe.CALENDAR
values (?, ?, ?, ?, ?)
;

-- DELETE CALENDAR HOLIDAY
delete from cfe.calendar_holiday where id_calendar = ?;

-- INSERT CALENDAR HOLIDAY
insert into cfe.calendar_holiday
values (?, ?)
;

-- DELETE RATE HIST
delete from cfe.rate_hist where id_rate = ?;

-- INSERT RATE HIST
insert into cfe.rate_hist
values (?, ?, ?)
;

-- DELETE SCRIPT
delete from cfe.script where id_script = ?;

-- INSERT SCRIPT
insert into cfe.script values (?, ?, ?);

-- DELETE ATTRIBUTE
delete from cfe.attribute where id_attribute = ?;

-- INSERT ATTRIBUTE
insert into cfe.attribute
values (?, ?, ?, ?, ?, ?);

-- DELETE FEETYPE
delete from cfe.fee_type where id_fee_type = ?;

-- INSERT FEETYPE
insert into cfe.fee_type
values (?, ?);

------------------------------------------------------------------------------------------------------------------------
-- DATA
------------------------------------------------------------------------------------------------------------------------

-- INSERT INSTRUMENT
insert into cfe.INSTRUMENT
values (?, ?, ?, ?, ?, ?, ?, ?, ?, ?)
;

-- INSERT INTEREST PERIOD
insert into cfe.INTEREST_PERIOD
values (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)
;

-- INSERT SCHEDULE
insert into cfe.SCHEDULE
values (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)
;

-- INSERT ONE TIME PAYMENT
insert into cfe.ONE_TIME_PAYMENT
values (?, ?, ?, ?, ?, ?, ?, ?, ?, ?)
;

-- INSERT RECONCILIATION NOMINAL
insert into cfe.RECONCILIATION_NOMINAL
values (?, ?, ?)
;

-- INSERT BALANCE MEASURES
insert into cfe.instrument_measure_balance
values (
	?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
	?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
	?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
	?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
	?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
	?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
	?, ?, ?, ?, ?, ?, ?, ?, ?, ?
);

-- INSERT POSITION MEASURES
insert into cfe.position_measure
values (
	?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
	?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
	?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
	?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
	?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
	?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
	?
);


-- INSERT INCOME MEASURES
insert into cfe.instrument_measure_income
values (
	?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
	?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
	?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
	?, ?, ?, ?, ?
);

-- INSERT IMPAIRMENT MEASURES
insert into cfe.instrument_measure_impairment
values (
	?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
	?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
	?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
	?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
	?, ?, ?, ?, ?, ?
);

-- INSERT FEETYPE MEASURES
insert into cfe.instrument_measure_fee
values (
	?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
	?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
	?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
	?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
	?, ?, ?, ?, ?, ?, ?, ?, ?, ?,
	?, ?, ?, ?, ?, ?
);

-- INSERT ACCOUNT ENTRY
insert into cfe.ledger_account_entry
values (?, ?, ?, ?, ?, ?, ?, ?);


