/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.manticore.etl

import groovy.sql.Sql
import org.joda.time.*
import org.joda.time.format.*
import java.util.StringTokenizer;
import java.util.logging.Logger;


def Sql sql = Sql.newInstance("jdbc:oracle:thin:@localhost:1521:dbfxf", "fsetl", "fsetl", "oracle.jdbc.driver.OracleDriver")

def masterTableNames=[
	["L4522501_REG_FLO_LOA_LUM_SUM_I", "rownum <= 20"]
	, ["L4522502_REG_FLO_LOA_SPE_IMP", "rownum <= 20"]
	, ["L4522503_ANN_FLO_LOA_LUM_SUM_I", "rownum <= 20"]
	, ["L4522504_ANN_FLO_LOA_SPE_IMP", "rownum <= 20"]
	, ["L4522505_IRR_FLO_LOA_LUM_SUM_I", "rownum <= 20"]
	, ["L4522506_IRR_FLO_LOA_SPE_IMP", "rownum <= 20"]
	, ["L4522507_ANN_FLO_BMRLOA_LUM_SU", "rownum <= 20"]
	, ["L4522508_ANN_FLO_BMRLOA_SPE_IM", "rownum <= 20"]
	, ["L4522509_REG_FLO_BMRLOA_LUM_SU", "rownum <= 20"]
	, ["L4522510_REG_FLO_BMRLOA_SPE_IM", "rownum <= 20"]
]

masterTableNames.each() {
	def String sqlStr="""
		INSERT INTO whitelist
		SELECT
			TRS_NR_NM
			, EXT_KEY_ADDRESS
		FROM
			${it[0]}
		WHERE
			${it[1]}
	"""
	sql.execute(sqlStr)
}

def String qryStr="""
	select
		table_name
	from
		user_tables
	where
		tablespace_name='FSETL'
		and table_name in (
			select table_name
			from user_tab_columns
			where column_name='TRS_NR_NM' OR column_name='trs_nr_nm' OR column_name='trsnrnm'
	)
	"""

//delete obsolete loans
sql.eachRow(qryStr) {
	def String sqlStr="""
		DELETE FROM ${it.table_name}
		WHERE NOT TRSNRNM in (SELECT DISTINCT TRSNRNM FROM whitelist)
	"""
	sql.execute(sqlStr)
}


//delete obsolete counter parties
sql.execute("""
	DELETE FROM GENERAL_CUSTOMER_INFORMATION
	WHERE ADDR_SHN in (SELECT DISTINCT EXT_KEY_ADDRESS FROM whitelist)
""")
