/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.manticore.etl
import groovy.sql.Sql
import org.joda.time.*
import org.joda.time.format.*
import java.util.StringTokenizer
import java.util.logging.Logger


def Sql sourceSql = Sql.newInstance("jdbc:oracle:thin:@localhost:1521:dbfxf", "fsetl", "fsetl", "oracle.jdbc.driver.OracleDriver")
def Sql targetSql = Sql.newInstance("jdbc:oracle:thin:@localhost:1521:dbfxf", "fsetltmp", "fsetl", "oracle.jdbc.driver.OracleDriver")

def String qryStr="""
	select
		table_name
	from
		user_tables
	where
		tablespace_name='FSETL'
	"""
/*
 *
 *
  def String sqlStr="""
		select DBMS_METADATA.GET_DDL('TABLE','${it.table_name}') ddlStr from DUAL;
	"""

  CREATE TABLE "FSETL"."L4522514_BUL_FIX_LOA_SPE_IMP"
   (	"TRS_NR_NM" VARCHAR2(40 CHAR) NOT NULL ENABLE,
	"ACTIVEV" VARCHAR2(1 CHAR),
	"EXT_KEY_ADDRESS" VARCHAR2(30 CHAR) NOT NULL ENABLE,
	"MOTIVE_NM" VARCHAR2(10 CHAR),
	"EXT_KEY_CURRENCY" VARCHAR2(30 CHAR) NOT NULL ENABLE,
	"CAPITAL_NOMINAL" NUMBER(23,3) NOT NULL ENABLE,
	"CAPITAL_DURATION_FRM" DATE NOT NULL ENABLE,
	"CAPITAL_DURATION_TO" DATE NOT NULL ENABLE,
	"CAPITAL_CALENDAR_TYPE_NM" VARCHAR2(12 CHAR),
	"ORGANISATION_UNIT_NM" VARCHAR2(12 CHAR),
	"DEALER_NM" VARCHAR2(35 CHAR),
	"BANK_SEGMENT_NM" VARCHAR2(20 CHAR),
	"PLACE_OF_CONTRACT_NM" VARCHAR2(20 CHAR),
	"COST_CENTER_NM" VARCHAR2(8 CHAR)
   ) SEGMENT CREATION IMMEDIATE
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "FSETL"
*/

sourceSql.eachRow(qryStr) {
	targetSql.execute("""
		insert into fsetltmp.${it.table_name}
		select * from fsetl.${it.table_name}
	""")
}
