#!/bin/bash
JAVA_HOME=/usr/java
PATH=$JAVA_HOME/bin:$PATH
ETL_OPTIONS="POSTINGDATE=20120831,INITDATE=20120831,COMPANY=176,SPLIT=0,THREADS=2,DATAROWS=24"
ETL_FILE=etl/etlUnion_20121015.xml
LOGGING="-Djava.util.logging.config.file=logging.properties"
for f in `find . -name *.jar`
do
	CLASSPATH=$CLASSPATH:$f
done

java $JAVA_OPTS $LOGGING -classpath $CLASSPATH com.manticore.etl.ETLApplication -f $ETL_FILE -p init -o $ETL_OPTIONS
java $JAVA_OPTS $LOGGING -classpath $CLASSPATH com.manticore.etl.ETLApplication -f $ETL_FILE -p ln_corporate -o $ETL_OPTIONS
java $JAVA_OPTS $LOGGING -classpath $CLASSPATH com.manticore.etl.ETLApplication -f $ETL_FILE -p ln_retail -o $ETL_OPTIONS
java $JAVA_OPTS $LOGGING -classpath $CLASSPATH com.manticore.etl.ETLApplication -f $ETL_FILE -p finnacle_copy -o $ETL_OPTIONS 
wait
java $JAVA_OPTS $LOGGING -classpath $CLASSPATH com.manticore.etl.ETLApplication -f $ETL_FILE -p finnacle_map -o $ETL_OPTIONS
wait
java $JAVA_OPTS $LOGGING -classpath $CLASSPATH com.manticore.etl.ETLApplication -f $ETL_FILE -p transfer -o $ETL_OPTIONS
java $JAVA_OPTS $LOGGING -classpath $CLASSPATH com.manticore.etl.ETLApplication -f $ETL_FILE -p process -o $ETL_OPTIONS
